Make compact interlanguage links default
Open, NormalPublic

Description

The feature has been demanded for core since at least 2010, r67281:

We might want to try guessing which interwikis may be relevant
to the reader and highlight them somehow, though.

For now it's available in ULS, it's unlikely for it to be redeveloped elsewhere.
See https://www.mediawiki.org/wiki/Universal_Language_Selector/Design/Interlanguage_links
Niharika, not all known bugs and enhancement requests are filed in bugzilla, can you please file them? They'll then need to be triaged to identify which are blockers for the feature to be default.

Performance wise, mw.loader.inspect() shows zero impact on the size of the modules loaded, whether this is enabled or not, for a registered user on the Italian Wikipedia (not vanilla preferences), i.e. 574.9 kB.

Chromium dev console throttled at Good 3G (1 MB/s, 40 ms RTT) shows 35 requests, 215 kB transferred and finish in 2.21 s on https://it.wikipedia.org/wiki/Suillus_bovinus with the beta enabled; 34 requests, 214 kB and finish in 2.22 s without (plus/minus some ms).


Version: master
Severity: enhancement
URL: https://www.mediawiki.org/wiki/Universal_Language_Selector/Design/Interlanguage_links

Details

Reference
bz64793

Related Objects

StatusAssignedTask
InvalidNone
InvalidNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedNone
ResolvedAmire80
InvalidNone
ResolvedNemo_bis
DeclinedNone
ResolvedAmire80
ResolvedNone
ResolvedNemo_bis
Resolvedsanthosh
InvalidNone
ResolvedNemo_bis
ResolvedNiharika
ResolvedNemo_bis
ResolvedNone
InvalidNone
ResolvedNiharika
ResolvedNone
InvalidNone
DuplicateNone
DuplicateNone
DuplicateNone
Resolvedsanthosh
Duplicatesanthosh
ResolvedNikerabbit
Resolvedsanthosh
ResolvedKartikMistry
ResolvedKartikMistry
ResolvedNikerabbit
OpenKartikMistry
OpenArrbee
ResolvedArrbee
ResolvedArrbee
ResolvedKartikMistry
There are a very large number of changes, so older changes are hidden. Show Older Changes

Note that this tracking task is proposed to be converted into a project: T86536.

Aklapper updated the task description. (Show Details)Mar 10 2015, 2:58 PM
Aklapper closed this task as Declined.
Aklapper added a project: ULS-CompactLinks.

This tracking task has been superseded by the project ULS-CompactLinks as requested in T86536: Create a Phabricator project for ULS compact links to supersede T66793. Please use / watch the project ULS-CompactLinks instead of this task.

Nemo_bis changed the task status from Declined to Invalid.EditedMar 11 2015, 12:20 PM
Nemo_bis claimed this task.

Declined looks bad. We definitely want to do this.

Where is the report which tracks the configuration change which will make compact links the default?

Amire80 reopened this task as Open.Apr 1 2015, 9:50 PM

This one is open, just not as a tracker. I definitely plan to do it.

Amire80 renamed this task from Make compact interwikis (interlanguage wikilinks) default (tracking) to Make compact interlanguage links default.Apr 1 2015, 9:51 PM
Nemo_bis removed Nemo_bis as the assignee of this task.Apr 24 2015, 2:03 PM
Amire80 removed a subscriber: Unknown Object (MLST).

Hey. As mentioned by me on wikitech-l just now, this Beta Feature has sat for far too long with no development that I can see. It's many months past its due date to be pushed to all users, improved, or pulled. Which is it going to be? If there's no progress in a month I'm going to have to pull it myself. :-(

Nemo_bis added a comment.EditedDec 11 2015, 11:34 AM

IMHO it's good enough to be default feature-wise (CLDR data improved in the meanwhile), but there should maybe be a performance review.

Alternatively it could become a permanent preference offered by ULS, of which we can reconsider the default later.

Nemo_bis updated the task description. (Show Details)Dec 11 2015, 12:51 PM

IMHO it's good enough to be default feature-wise (CLDR data improved in the meanwhile), but there should maybe be a performance review.

A performance review happened too in the meanwhile thanks to Krinkle and improvements were merged, see in particular T122341#1907435.

T131455 captures a very specific case, but given the frequent access to the page we may consider fixing this before exposing the feature to more people (i.e., adding it to the list of blockers).

Elitre added a subscriber: Elitre.May 2 2016, 4:42 PM

I was asked to provide a bit of feedback on CIL.

I compared the "Languages" that appear on my sidebar on en.wikipedia, while logged in under my staff account, with and without CIL. See the screenshots below (first with CIL, second without CIL). I used the article Panama Papers, because it's an article I have recently looked at in multiple languages.

Of the links that appear when CIL is enabled, some of them are clearly relevant (you can see from the link color on that I've recently clicked on them). But it's not clear why certain languages are appearing--for example, Afrikaans, a language wiki that I can't remember ever visiting.

I'm essentially monolingual—I don't read any languages other than English. We can expect, from what we know about editor demographics, that many other English Wikipedians are monolingual as well.

For people like us, it's not clear what value this feature provides (other than shrinking the length of a long list in the sidebar, which I appreciate). It comes off looking kind of arbitrary.

So, I strongly suggest that when this feature is implemented, you add a tooltip or info link that users can click on to find out why these links are being recommended to them. Otherwise, I expect that there will be some amount of pushback—editors generally don't respond positively to interface changes that seem arbitrary, and/or for which they can't immediately see the value. We also don't know if there are workflows that will be disrupted by a default rollout of this feature. There may be important curation processes that involve rapidly moving back and forth between different versions of an article (even among editors who don't read/edit in those other languages).

Not saying the rollout should be halted, just that if you want to avoid negative feedback, you should provide editors with an easy way of learning how this feature works, and why it's being implemented. A link from the interface itself is the natural place for this.

Note that I haven't been involved in this project, and do not know if any of my suggestions above are already on your roadmap or not.

Hope that helps! Jonathan

I was asked to provide a bit of feedback on CIL.

Thanks for your input. It's been really useful.

I agree that providing some context can help. I proposed a ticket for this (T135224).

As you mentioned, I don't see it as a hard blocker for the initial stage of the deployment targeting smaller wikis. But paying attention to feedback around this, and making adjustments before reaching wikis with a heavier volume of users makes sense.

As a reference, similar pattern of making the list shorter (in this case in apparently arbitrary way) is already present at the main pages of Wikipedia:

For people like us, it's not clear what value this feature provides (other than shrinking the length of a long list in the sidebar, which I appreciate). It comes off looking kind of arbitrary.

Although it's not the main audience, for monolingual users there is also the small benefit of making it easier to answer a question such as "in how many languages is now available this article I created?"

But it's not clear why certain languages are appearing--for example, Afrikaans,

The logic for selecting a subset of languages is based on the following:

  1. It is a language you chose using this feature previously
  2. It is a language widely spoken in the world
  3. It is the language in which you see wikipedia - user language
  4. It is the language you set for your browser - Browsers UI language
  5. It is the acceptLanguage set you configured in your browser
  6. It is a language spoken in the geographic area you are now.

But I agree, if we can communicate this in a simple way in UI, people will find it helpful.

Nemo_bis removed a subscriber: Nemo_bis.Jun 8 2016, 12:49 PM
Stryn added a subscriber: Stryn.Jun 20 2016, 3:35 PM
Krinkle moved this task from Inbox to Radar on the Performance-Team board.
Krinkle added a subscriber: Krinkle.
Danny_B moved this task from Tag to Goal on the Tracking board.Jul 14 2016, 11:38 PM